Package org.eclipse.net4j.util.io

## Class StringCompressor.Counting

- java.lang.Object
- - org.eclipse.net4j.util.io.StringCompressor
  - - org.eclipse.net4j.util.io.StringCompressor.Counting

- All Implemented Interfaces:
    `StringIO`
  Enclosing class:
    StringCompressor

      public static class StringCompressor.Counting
      extends StringCompressor

  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.io.StringCompressor

      `StringCompressor.Counting`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.io.StringCompressor

      `BYPASS`

    - ### Fields inherited from interface org.eclipse.net4j.util.io.StringIO

      `DIRECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Counting​(boolean client)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getStringsRead()` |
    `long` | `getStringsWritten()` |
    `protected java.lang.String` | `readString​(ExtendedDataInput in)` |
    `protected void` | `writeString​(ExtendedDataOutput out, java.lang.String value)` |

    - ### Methods inherited from class org.eclipse.net4j.util.io.StringCompressor

      `getPendingAcknowledgements, isClient, processAcknowledgements, read, readAcknowledgements, toString, write, writeAcknowledgements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Counting

          public Counting​(boolean client)

  - ### Method Detail

    - #### getStringsRead

          public long getStringsRead()

    - #### getStringsWritten

          public long getStringsWritten()

    - #### readString

          protected java.lang.String readString​(ExtendedDataInput in)
                                         throws java.io.IOException

      Overrides:
        `readString` in class `StringCompressor`
      Throws:
        `java.io.IOException`

    - #### writeString

          protected void writeString​(ExtendedDataOutput out,
                                     java.lang.String value)
                              throws java.io.IOException

      Overrides:
        `writeString` in class `StringCompressor`
      Throws:
        `java.io.IOException`